Bug 96707 - EDITING: Data - Form does not respect Data - Validity
Summary: EDITING: Data - Form does not respect Data - Validity
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Validity Calc-DataForm
  Show dependency treegraph
 
Reported: 2015-12-24 10:57 UTC by burnuser2
Modified: 2021-03-19 04:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description burnuser2 2015-12-24 10:57:08 UTC
In Calc the form in "Data => Form" looks like in Excel, but does not work like Excel!

https://support.office.com/en-us/article/Simplify-data-entry-with-a-data-form-00bfc75e-f675-46ad-8703-291fc03e4d77

In Excel there is (at least until Excel 2003) no check for Data => Validity while entering new values. (Makes the whole form not very useful.)
But it has a search function ("Criteria")
And it is safe:
1.) Cells with a formula inside cannot be changed in the form. Formula is copied.
2.) Data => Validity is checked before writing the new values in the table

In LibreOffice there is also no check for Data => Validity while entering new values. And ther is NO search function. (Which in combination makes it totally useless.)
AND it is dangerous:
1.) Cells with a formula inside are changed to entered values, formula is killed!
2.) Data => Validity is NOT checked before writing the new values in the table
(So you can overrule the Validity check with the dataform!)

The quick solution: Delete the function "Data => Form"
... or make it at least safe to use
... and useful too!
Comment 1 Buovjaga 2015-12-27 16:42:40 UTC Comment hidden (obsolete)
Comment 2 Buovjaga 2015-12-27 16:45:43 UTC
Ah actually 1) is already covered in bug 59417.

So let's have this report be about 2).
Comment 3 QA Administrators 2017-01-03 19:54:58 UTC Comment hidden (obsolete)
Comment 4 burnuser2 2017-01-08 10:00:38 UTC
Bug is still present. No changes in bug behavior.
Testsystem:
LO 5.2.3.3 on Windows Vista
Comment 5 QA Administrators 2019-03-18 03:45:58 UTC Comment hidden (obsolete)
Comment 6 burnuser2 2019-03-19 07:33:23 UTC
Bug is still present. No changes in bug behavior.
Testsystem:
LO 6.2.1.2 on Windows 10

But there is an Extension in Beta status which maybe could solve the problem:
https://extensions.libreoffice.org/extensions/enhanced-form
Comment 7 QA Administrators 2021-03-19 04:41:54 UTC
Dear burnuser,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug